## ros-kinetic-romeo-moveit-config 0.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(romeo_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-romeo-moveit-config (0.2.8-0xenial) xenial; urgency=high

  * cleaning MoveIt config
  * Merge pull request #7 <https://github.com/ros-aldebaran/romeo_moveit_config/issues/7> from ros-aldebaran/fix_warnings
    Fix deprecated warnings
  * put parameter in right namespace
  * remove unnecessary tabs
  * remove deprecated service, use action instead
  * fix deprecated xacro call
  * fix allowed_execution_duration_scaling
  * Update README.rst
  * adding RRT as default planner
  * Merge pull request #6 <https://github.com/ros-aldebaran/romeo_moveit_config/issues/6> from nlyubova/master
    fixing legs planning groups
  * fixing legs planning groups
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-kinetic-romeo-moveit-config (0.2.7-0xenial) xenial; urgency=high

  * Update package.xml
    removing the dependence on moveit_ros_visualization
  * Update package.xml
    changing the maintainer
  * Update ompl_planning.yaml
    fixing arm groups
  * Merge pull request #5 <https://github.com/ros-aldebaran/romeo_moveit_config/issues/5> from nlyubova/master
    cleaning the launch file and readme
  * updating the tutorial
  * renaming demo_real.launch to moveit_planner.launch to keep the naming convention as fro Nao
  * using xacro command instead of the URDF file
  * Contributors: Natalia Lyubova, nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 20 Jul 2016 22:00:00 -0000

ros-kinetic-romeo-moveit-config (0.2.6-0xenial) xenial; urgency=high

  * update dependency list
  * Contributors: Mikael Arguedas

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 02 Feb 2016 23:00:00 -0000

ros-kinetic-romeo-moveit-config (0.2.5-0xenial) xenial; urgency=high

  * cleaning package.xml
  * Configuring sensors to compute the Octomap
  * Regenerated with moveit_setup_assistant for the last URDF while naming planning groups to be compatible with romeo_moveit_config
  * configuring end-effectors and renaming motor groups to be compatible with MoveIt simple grasps
  * Contributors: Natalia Lyubova, Vincent Rabaud

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 20 Oct 2015 22:00:00 -0000

ros-kinetic-romeo-moveit-config (0.2.4-0xenial) xenial; urgency=high

  * fixed package version
  * Update package.xml
  * 0.2.1
  * update changelog
  * fixed link to config file
  * adapt to new model link names
    add detection required files
  * Contributors: Arguedas Mikael, Mikael ARGUEDAS
  * fixed link to config file
  * adapt to new model link names
    add detection required files
  * Contributors: Mikael ARGUEDAS

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 04 Dec 2014 23:00:00 -0000

ros-kinetic-romeo-moveit-config (0.2.2-0xenial) xenial; urgency=high

  * added kinematics chains for complete arms
  * Update README.rst
  * fix dependencies
  * fixed dependencies and update README
  * Contributors: Arguedas Mikael, margueda

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 30 Sep 2014 22:00:00 -0000

ros-kinetic-romeo-moveit-config (0.2.1-0xenial) xenial; urgency=high

  * update according to new URDF model
  * add a README file
  * add initial working config files
  * Contributors: Vincent Rabaud, margueda

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 08 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-romeo-moveit-config
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-romeo-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joint-state-publisher, ros-kinetic-moveit-fake-controller-manager, ros-kinetic-moveit-planners-ompl, ros-kinetic-moveit-ros-move-group, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-robot-state-publisher, ros-kinetic-romeo-description, ros-kinetic-xacro
Description: An automatically generated package with all the configuration and launch files for using the romeoH37 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-romeo-moveit-config//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
